# H323PeerElementServiceRelationship Class Reference

`#include <peclient.h>`

Collaboration diagram for H323PeerElementServiceRelationship:

[legend]

## Public Member Functions

| H323PeerElementServiceRelationship ()
| H323PeerElementServiceRelationship (const OpalGloballyUniqueID &_serviceID)
Comparison | Compare (const PObject &obj) const

## Data Fields

OpalGloballyUniqueID | serviceID
POrdinalKey | ordinal
H323TransportAddress | peer
PString | name
PTime | createdTime
PTime | lastUpdateTime
PTime | expireTime

## Constructor & Destructor Documentation

H323PeerElementServiceRelationship::H323PeerElementServiceRelationship | ( |  | ) | `[inline]`

H323PeerElementServiceRelationship::H323PeerElementServiceRelationship | ( | const OpalGloballyUniqueID & | _serviceID | ) | `[inline]`

## Member Function Documentation

Comparison H323PeerElementServiceRelationship::Compare | ( | const PObject & | obj | ) | const`[inline]`

## Field Documentation

PTime H323PeerElementServiceRelationship::createdTime

PTime H323PeerElementServiceRelationship::expireTime

PTime H323PeerElementServiceRelationship::lastUpdateTime

PString H323PeerElementServiceRelationship::name

POrdinalKey H323PeerElementServiceRelationship::ordinal

H323TransportAddress H323PeerElementServiceRelationship::peer

OpalGloballyUniqueID H323PeerElementServiceRelationship::serviceID

The documentation for this class was generated from the following file:

- peclient.h